function [Ac_outer,Ac_inner,Ax,v_r_inner,v_r_outer,v_x_left,v_x_right,dV] = area_vel_vol(i,R_i,R_o,L,n_r,n_x,F_in,F_over,v_theta_inner,v_theta_outer,dd,dd_plus)
r_inner = R_o*sqrt((i-1)/n_r);
r_outer = R_o*sqrt(i/n_r);
r = (r_inner+r_outer)/2;
dL = L/n_x;


[v_z,v_r_inner] = velocity_calculator(R_i,R_o,F_in,F_over,v_theta_inner,dd,r_inner);
[v_z,v_r_outer] = velocity_calculator(R_i,R_o,F_in,F_over,v_theta_outer,dd_plus,r_outer);
[v_x_left,v_r]  = velocity_calculator(R_i,R_o,F_in,F_over,v_theta_outer,dd,r);
[v_x_right,v_r] = velocity_calculator(R_i,R_o,F_in,F_over,v_theta_outer,dd,r);

Ac_outer = 2*pi*(r_outer)*dL;
Ac_inner = 2*pi*(r_inner)*dL;

Ax = pi*R_o^2/n_r;
dV = Ax*dL;