clear all

load('Opt1')
%x0_top = x0(1:270);
%x0_bottom = x0(271:540);
rho_ol = {};
rho_wl = {};
a = 1;

for i = 1:10
rho_ol{i} = [x0(a+18:a+26) x0(a+9:a+17) x0(a:a+8)]';
a = a + 27;
end

for i = 1:10
vol = pi/6*(150e-6)^3*i;
n_density_ol{i} = rho_ol{i}/1000/vol;
end

%%

for i = 1:10
rho_wl{i} = [x0(a+18:a+26) x0(a+9:a+17) x0(a:a+8)]';
a = a + 27;
end

for i = 1:10
vol = pi/6*(150e-6)^3*i;
n_density_wl{i} = rho_wl{i}./([831.5*ones(3,8) 1000*ones(3,1)])/vol;
end

n_density = {};

for i = 1:10
    n_density{i} = [n_density_ol{i};n_density_wl{i}];
end
    
n_10_density={};

for i = 1:54
    n_10_density{i} = [];
end

temp =1;
for i = 1:6
    for j = 1:9
          for k = 1:10
          n_density_inuse = n_density{k};
          n_10_density{temp} = [n_10_density{temp};n_density_inuse(i,j)];
          end
          temp = temp + 1;
    end
end
    



rho_total_wio = rho_ol{1};
for i = 2:10
  rho_total_wio = rho_total_wio + rho_ol{i};
end
% rho_total_wio

rho_total_oiw = rho_wl{1};
for i = 2:10
  rho_total_oiw = rho_total_oiw + rho_wl{i};
end
% rho_total_oiw

[rho_total_wio;rho_total_oiw];
 
%% plotting


set(0,'DefaultTextFontName','Times',...
'DefaultTextFontSize',20,...
'DefaultAxesFontName','Times',...
'DefaultAxesFontSize',20,...
'DefaultLineLineWidth',2,...
'DefaultLineMarkerSize',7.75)


figure(11)

for i = 1:27
    subplot(6,9,i)
    bar(1:10,log10(n_10_density{i}),0.4);
    xticks([]); ylim([0 10]); yticks([1 4 7 10]);
end

for i = 28:54
    subplot(6,9,i)
    bar(1:10,log10(n_10_density{i}),0.4,'k');
    xticks([]); ylim([0 10]); yticks([1 4 7 10]);
end

for i = 54:-9:54-18
    subplot(6,9,i)
    bar(1:10,log10(n_10_density{i}),0.4);
    xticks([]); ylim([0 10]); yticks([1 4 7 10]);
end

for i = 1:9:53
subplot(6,9,i)
ylabel('$log_{10}(n_i^{(k,l)})$','interpreter','latex')
end

for i = 46:54
subplot(6,9,i)
xticks(1:10)
xlabel('Droplet class $i$','interpreter','latex')
end
    

annotation('line', [0.1,0.28],[0.52,0.52],'LineStyle','--','LineWidth',3,'Color','b');
annotation('line', [0.35,0.82],[0.52,0.52],'LineStyle','--','LineWidth',3,'Color','b');
annotation('textbox',[0.28 .33 .21 .21],'String','Water level','EdgeColor','none','Color','b');
annotation('line', [0.822,0.822],[0.1,0.8],'LineWidth',3,'Color','k');



%text(-0.1,8.3,'8','Units','normalized')
%print('-depsc2','-r600','c7-distall2.eps')


