% % Run steps in well disturbances.
close all; clear; clc;
plotting_distall2
clear; clc;
load('Opt1')
load('init_simParam')
nz_w = 3;
nz_t = nz_o + nz_w;
ns_o = nx * nz_o * 10;
ns_w = nx * nz_w * 10;
ns_tot = ns_w + ns_o + 3;

x_solution = x0;
output_solution = output_sol;

Y1.sp(1) = x0(543); Y1.sp(2) = x0(541); Y1.sp(3) = x0(542); Y1.sp(4) = [];
gs1.U= [output_sol(1) output_sol(3)  output_sol(5)]/3600;
gs1.x0 = x0(1:543);

hc.sp = U_sol(2);
hc.x0= x0(543+1:543+432);

cfu.sp = [output_sol(14);0.55;10];
cfu.U= U_sol(3:5);
cfu.x0= x0(543+432+1:543+432+35);

%% case 2

Y1_case2 = [x_solution(453); x_solution(451); x_solution(452)];
Y1_case2_step = 0*(Y1_case2 - Y1.sp);

Y2_case2 = [x_solution(904); x_solution(905)];
Y2_case2_step = 0*(Y2_case2 - Y2.sp);

hc_case2 = output_solution(14);
hc_case2_step = 0*(hc_case2 - hc.sp);

cfu_case2 = [output_solution(18);x_solution(end-4);output_solution(20)];
cfu_case2_step = 0*(cfu_case2 - cfu.sp);


%%  case 3

Y1_case3 = [x_solution(453); x_solution(451); x_solution(452)];
Y1_case3_step = 0*(Y1_case3 - Y1_case2);

Y2_case3 = [x_solution(904); x_solution(905)];
Y2_case3_step = 0*(Y2_case3 - Y2_case2);

hc_case3 = output_solution(14);
hc_case3_step = 0*(hc_case3 - hc_case2);

cfu_case3 = [output_solution(18);x_solution(end-4);output_solution(20)];
cfu_case3_step = 0*(cfu_case3 - cfu_case2);

%%
d_time = 3600*[2,4,18];
P_d_time = 555000;
rto_sol_time = 6500000;
t_filter = 2000;
warning ('off','all')
sim('separationSystem')

%save('dynamicresults')
plotting
plotting_cvdyn