close all
fig = figure('DefaultAxesPosition', [0.1, 0.15, 0.8, 0.8]);
WC = 0:0.001:1;
plot(WC,(1-WC).^1); hold on
plot(WC,(1-WC).^0.75);
plot(WC,(1-WC).^0.5);
plot(WC,(1-WC).^0.25);


legend('n = 1','n = 0.75','n = 0.5','n = 0.25')
xlabel('WC')
ylabel('v^a/ v^s')

fig=setFigProps2(fig,0.4);   
saveas(fig,'adjVel','png');
saveas(fig,'adjVel','epsc');