%  clear
%  close all
% load('dynamicresults')
tout=gs1_Y.time/3600;

set(0,'DefaultTextFontName','Times',...
'DefaultTextFontSize',18,...
'DefaultAxesFontName','Times',...
'DefaultAxesFontSize',18,...
'DefaultLineLineWidth',3,...
'DefaultLineMarkerSize',7.75)
disp('done')


%% gs1
%grid on
figure(14);

%%

subplot(6,4,1)
plot(tout,100*wio(:,1))
grid on
title('\bf{ $\%WiO^{(1,6)}$}','interpreter','latex')
xticks([]);
yticks([5.2 6.2]);
ylim(100*[min(wio(:,1))-0.001 max(wio(:,1))+0.001])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,6,'Case 2','Color','r','FontSize',10);
text(19,5.4,'Case 3','Color','k','FontSize',10);
ht = text(2,5.3,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)

subplot(6,4,5)
plot(tout,100*wio(:,2))
grid on
title('\bf{ $\%WiO^{(1,5)}$}','interpreter','latex')
xticks([]);
% yticks([5.2 6.2]);
ylim(100*[min(wio(:,2))-0.001 max(wio(:,2))+0.001])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,7,'Case 2','Color','r','FontSize',10);
text(19,6.5,'Case 3','Color','k','FontSize',10);
ht = text(2,6.5,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)

subplot(6,4,9)
plot(tout,100*wio(:,3))
grid on
title('\bf{ $\%WiO^{(1,4)}$}','interpreter','latex')
xticks([]);
% yticks([5.2 6.2]);
ylim(100*[min(wio(:,3))-0.001 max(wio(:,3))+0.001])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,6.5,'Case 2','Color','r','FontSize',10);
text(19,6.2,'Case 3','Color','k','FontSize',10);
ht = text(2,6.3,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)


subplot(6,4,2)
plot(tout,100*wio(:,4))
grid on
title('\bf{ $\%WiO^{(4,6)}$}','interpreter','latex')
xticks([]);
% yticks([5.2 6.2]);
ylim(100*[min(wio(:,4))-0.001 max(wio(:,4))+0.001])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,3.5,'Case 2','Color','r','FontSize',10);
text(19,2.5,'Case 3','Color','k','FontSize',10);
ht = text(2,2.5,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)

subplot(6,4,6)
plot(tout,100*wio(:,5))
grid on
title('\bf{ $\%WiO^{(4,5)}$}','interpreter','latex')
xticks([]);
yticks([4.4 5]);
ylim(100*[min(wio(:,5))-0.001 max(wio(:,5))+0.001])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,3.5+1+1-0.5,'Case 2','Color','r','FontSize',10);
text(19,2.5+1+1,'Case 3','Color','k','FontSize',10);
ht = text(2,2.5+1+1,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)

subplot(6,4,10)
plot(tout,100*wio(:,6))
grid on
title('\bf{ $\%WiO^{(4,4)}$}','interpreter','latex')
xticks([]);
yticks([5.2  5.6]);
ylim(100*[min(wio(:,6))-0.001 max(wio(:,6))+0.001])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,5.4,'Case 2','Color','r','FontSize',10);
text(19,5.2,'Case 3','Color','k','FontSize',10);
ht = text(2,5.3,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)

subplot(6,4,3)
plot(tout,100*wio(:,7))
grid on
title('\bf{ $\%WiO^{(7,6)}$}','interpreter','latex')
xticks([]);
%yticks([5.2  5.6]);
ylim(100*[min(wio(:,7))-0.001 max(wio(:,7))+0.001])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(6,2,'Case 2','Color','r','FontSize',10);
text(22,2,'Case 3','Color','k','FontSize',10);
ht = text(2,1.3,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)


subplot(6,4,7)
plot(tout,100*wio(:,8))
grid on
title('\bf{ $\%WiO^{(7,5)}$}','interpreter','latex')
xticks([]);
%yticks([5.2  5.6]);
ylim(100*[min(wio(:,8))-0.001 max(wio(:,8))+0.001])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(6,3.3,'Case 2','Color','r','FontSize',10);
text(22,2.7,'Case 3','Color','k','FontSize',10);
ht = text(2,2.7,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)

subplot(6,4,11)
plot(tout,100*wio(:,9))
grid on
title('\bf{ $\%WiO^{(7,4)}$}','interpreter','latex')
xticks([]);
%yticks([5.2  5.6]);
ylim(100*[min(wio(:,9))-0.001 max(wio(:,9))+0.001])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(6,4.5,'Case 2','Color','r','FontSize',10);
text(22,4.3,'Case 3','Color','k','FontSize',10);
ht = text(2,4.3,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)



subplot(6,4,4)
plot(tout,100*wio(:,10))
grid on
title('\bf{ $\%WiO^{(8,6)}$}','interpreter','latex')
xticks([]);
%yticks([5.2  5.6]);
ylim(100*[min(wio(:,10))-0.001 max(wio(:,10))+0.001])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(6,2.5,'Case 2','Color','r','FontSize',10);
text(22,2.5,'Case 3','Color','k','FontSize',10);
ht = text(2,2.6,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)


subplot(6,4,8)
plot(tout,100*wio(:,11))
grid on
title('\bf{ $\%WiO^{(8,5)}$}','interpreter','latex')
xticks([]);
%yticks([5.2  5.6]);
ylim(100*[min(wio(:,11))-0.001 max(wio(:,11))+0.001])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(6,3.5,'Case 2','Color','r','FontSize',10);
text(22,3.5,'Case 3','Color','k','FontSize',10);
ht = text(2,3.5,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)

subplot(6,4,12)
plot(tout,100*wio(:,12))
grid on
title('\bf{ $\%WiO^{(8,4)}$}','interpreter','latex')
xticks([]);
%yticks([5.2  5.6]);
ylim(100*[min(wio(:,12))-0.001 max(wio(:,12))+0.001])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(6,4.5,'Case 2','Color','r','FontSize',10);
text(22,4.3,'Case 3','Color','k','FontSize',10);
ht = text(2,4.3,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)




%%
subplot(6,4,13)
plot(tout,oiw(:,1))
grid on
title('\bf{$ppm_{oiw}^{(1,3)}$}','interpreter','latex')
xticks([])
%yticks([1900 2100 2300])
ylim([min(oiw(:,1))-30 max(oiw(:,1))+30])
xlim([0 max(tout)])
yL = get(gca,'YLim');
% xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,800,'Case 2','Color','r','FontSize',10);
text(19,800,'Case 3','Color','k','FontSize',10);
ht = text(2,710,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)

subplot(6,4,17)
plot(tout,oiw(:,2))
grid on
title('\bf{$ppm_{oiw}^{(1,2)}$}','interpreter','latex')
xticks([])
%yticks([1.3e4 1.4e4])
ylim([min(oiw(:,2))-3 max(oiw(:,2))+3])
xlim([0 max(tout)])
yL = get(gca,'YLim');
% xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,130,'Case 2','Color','r','FontSize',10);
text(19,135,'Case 3','Color','k','FontSize',10);
ht = text(2,130,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)

subplot(6,4,21)
plot(tout,oiw(:,3))
grid on
title('\bf{$ppm_{oiw}^{(1,1)}$}','interpreter','latex')
xticks([0 10 20 30 40 50])
%yticks([6200 6600 7000 7400])
ylim([min(oiw(:,3))-1 max(oiw(:,3))+1])
xlim([0 max(tout)])
yL = get(gca,'YLim');
xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,80,'Case 2','Color','r','FontSize',10);
text(19,85,'Case 3','Color','k','FontSize',10);
ht = text(2,80,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)

subplot(6,4,14)
plot(tout,oiw(:,4))
grid on
title('\bf{$ppm_{oiw}^{(4,3)}$}','interpreter','latex')
xticks([])
%yticks([0.95e4 1.1e4])
ylim([min(oiw(:,4))-5 max(oiw(:,4))+5])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,700,'Case 2','Color','r','FontSize',10);
text(19,750,'Case 3','Color','k','FontSize',10);
ht = text(2,690,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)


subplot(6,4,18)
plot(tout,oiw(:,5))
grid on
title('\bf{$ppm_{oiw}^{(4,2)}$}','interpreter','latex')
xticks([])
%yticks([100 140 180])
ylim([min(oiw(:,5))-0.1 max(oiw(:,5))+0.1])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,3,'Case 2','Color','r','FontSize',10);
text(19,2.5,'Case 3','Color','k','FontSize',10);
ht = text(2,2.5,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)


subplot(6,4,22)
plot(tout,oiw(:,6))
grid on
title('\bf{$ppm_{oiw}^{(4,1)}$}','interpreter','latex')
xticks([0 10 20 30 40 50])
% yticks([100 140 180])
ylim([min(oiw(:,6))-0.05 max(oiw(:,6))+0.05])
xlim([0 max(tout)])
yL = get(gca,'YLim');
xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,1,'Case 2','Color','r','FontSize',10);
text(19,0.8,'Case 3','Color','k','FontSize',10);
ht = text(2,0.8,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)


subplot(6,4,15)
plot(tout,oiw(:,7))
grid on
title('\bf{$ppm_{oiw}^{(7,3)}$}','interpreter','latex')
xticks([])
% yticks([0.95e4 1.1e4])
ylim([min(oiw(:,7))-10 max(oiw(:,7))+10])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,600,'Case 2','Color','r','FontSize',10);
text(19,620,'Case 3','Color','k','FontSize',10);
ht = text(2,582,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)

subplot(6,4,19)
plot(tout,oiw(:,8))
grid on
title('\bf{$ppm_{oiw}^{(7,2)}$}','interpreter','latex')
xticks([])
% yticks([0.95e4 1.1e4])
ylim([min(oiw(:,8))-0.01 max(oiw(:,8))+0.01])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,0.16,'Case 2','Color','r','FontSize',10);
text(19,0.125,'Case 3','Color','k','FontSize',10);
ht = text(2,0.125,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)

subplot(6,4,23)
plot(tout,oiw(:,9))
grid on
title('\bf{$ppm_{oiw}^{(7,1)}$}','interpreter','latex')
xticks([0 10 20 30 40 50])
% yticks([0.95e4 1.1e4])
ylim([min(oiw(:,9))-0.004 max(oiw(:,9))+0.004])
xlim([0 max(tout)])
yL = get(gca,'YLim');
xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,0.04,'Case 2','Color','r','FontSize',10);
text(19,0.03,'Case 3','Color','k','FontSize',10);
ht = text(2,0.03,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)


subplot(6,4,16)
plot(tout,oiw(:,10))
grid on
title('\bf{$ppm_{oiw}^{(8,3)}$}','interpreter','latex')
xticks([])
% yticks([0.95e4 1.1e4])
ylim([min(oiw(:,10))-10 max(oiw(:,10))+10])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,600,'Case 2','Color','r','FontSize',10);
text(19,625,'Case 3','Color','k','FontSize',10);
ht = text(2,580,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)

subplot(6,4,20)
plot(tout,oiw(:,11))
grid on
title('\bf{$ppm_{oiw}^{(8,2)}$}','interpreter','latex')
xticks([])
% yticks([0.95e4 1.1e4])
ylim([min(oiw(:,11))-3 max(oiw(:,11))+3])
xlim([0 max(tout)])
yL = get(gca,'YLim');
%xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,320,'Case 2','Color','r','FontSize',10);
text(19,330,'Case 3','Color','k','FontSize',10);
ht = text(2,315,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)

subplot(6,4,24)
plot(tout,oiw(:,12))
grid on
title('\bf{$ppm_{oiw}^{(8,1)}$}','interpreter','latex')
xticks([0 10 20 30 40 50])
% yticks([0.95e4 1.1e4])
ylim([min(oiw(:,12))-3 max(oiw(:,12))+3])
xlim([0 max(tout)])
yL = get(gca,'YLim');
xlabel('\it t ($h$)','Interpreter','latex')
line([4  4],yL,'Color','r','LineStyle','--','LineWidth',1);
line([18  18],yL,'Color','k','LineStyle','--','LineWidth',1);
line([126000/3600  126000/3600],yL,'Color','g','LineStyle','--','LineWidth',1);
line([146000/3600  146000/3600],yL,'Color','m','LineStyle','--','LineWidth',1);
text(5,260,'Case 2','Color','r','FontSize',10);
text(19,260,'Case 3','Color','k','FontSize',10);
ht = text(2,245,'Case 1','Color','b','FontSize',10);
set(ht,'Rotation',90)




annotation('line', [0.1,0.302],[0.52,0.52],'LineStyle','--','LineWidth',3,'Color','b');
annotation('line', [0.37,0.9],[0.52,0.52],'LineStyle','--','LineWidth',3,'Color','b');
annotation('textbox',[0.3 .34 .1 .2],'String','Water level','EdgeColor','none','Color','b')
% ht = annotation('textbox',[0.2 .245 .1 .2],'String','Water layer','EdgeColor','none','Color','k');
% set(ht,'Rotation',90)
%print('-depsc2','-r600','c7-cvdyn.eps')
%close(fig1)

