function out = v_theta_in(i,v_theta_max,R_c,R_o,n_r)
r_inner = R_o*sqrt((i-1)/n_r);
r_outer = R_o*sqrt(i/n_r);
r = (r_inner+r_outer)/2;


% Rankine vertex:
if r <= R_c 
    out = v_theta_max*r/R_c; % Solid body rotation in center part
else
    out = v_theta_max;       % Simplified constant velocity in outer region
end